
Redmine - Defect #38100

Ruby 3.2: Encoding::CompatibilityError when running

ChangesetTest#test_invalid_utf8_sequences_in_comments_should_be_replaced_latin1

2022-12-24 09:29 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Error:

ChangesetTest#test_invalid_utf8_sequences_in_comments_should_be_replaced_latin1:

Encoding::CompatibilityError: invalid byte sequence in UTF-8

    app/models/changeset.rb:299:in `strip'

    app/models/changeset.rb:299:in `normalize_comments'

    app/models/changeset.rb:104:in `before_create_cs'

    test/unit/changeset_test.rb:533:in `test_invalid_utf8_sequences_in_comments_should_be_replaced

_latin1'

rails test test/unit/changeset_test.rb:517

Related issues:

Related to Redmine - Feature #38099: Add Ruby 3.2 support Closed

Associated revisions

Revision 22000 - 2022-12-26 02:36 - Go MAEDA

Ruby 3.2: `Changeset.normalize_comments` raises Encoding::CompatibilityError if the string contains an invalid UTF-8 byte sequence (#38099,

#38100).

Patch by Go MAEDA.

History

#1 - 2022-12-24 09:30 - Go MAEDA

- Related to Feature #38099: Add Ruby 3.2 support added

#2 - 2022-12-24 09:33 - Go MAEDA

- File 38100.patch added

The attached patch fixes the issue.

#3 - 2022-12-26 02:37 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix as a part of #38099.

Files

38100.patch 494 Bytes 2022-12-24 Go MAEDA
